﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraComboSample
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private BindingSource uxBindingSource = new BindingSource();
		
		private void Form1_Load( object sender, EventArgs e )
		{
			Address address = new Address();
			uxBindingSource.DataSource = address;

			cmbCountry.ValueChanged += new EventHandler( cmbCountry_ValueChanged );
			cmbState.ValueChanged += new EventHandler( cmbState_ValueChanged );

			cmbCountry.SyncWithCurrencyManager = true;

			cmbCountry.DataSource = address.CreateCountryData();
			cmbCountry.ValueMember = "CountryID";
			cmbCountry.DisplayMember = "CountryName";
			cmbCountry.DataBindings.Add( "Value", this.uxBindingSource, "CountryID", true, DataSourceUpdateMode.OnPropertyChanged );

			cmbState.SyncWithCurrencyManager = true;
			cmbState.DataSource = address.CreateStateData();
			cmbState.ValueMember = "StateID";
			cmbState.DisplayMember = "StateName";
			cmbState.DataBindings.Add( "Value", this.uxBindingSource, "StateID", true, DataSourceUpdateMode.OnPropertyChanged );

		}
		
		void cmbState_ValueChanged( object sender, EventArgs e )
		{
			
		}

		void cmbCountry_ValueChanged( object sender, EventArgs e )
		{
			if( (int)cmbState.Value == 1 )
				cmbState.Value = 2;
			else
				cmbState.Value = 1;
		}

	}

	public class Address
	{
		public int CountryID
		{
			get
			{
				return _CountryID;
			}
			set
			{
				_CountryID = value;
			}
		}
		private int _CountryID =1;
		
		public int StateID
		{
			get
			{
				return _StateID;
			}
			set
			{
				_StateID = value;
			}
		}
		private int _StateID =1;

		public DataTable CreateCountryData()
		{
			DataTable dtCountry = new DataTable();

			dtCountry.Columns.Add( "CountryID", typeof( long ) );
			dtCountry.Columns [ "CountryID" ].AutoIncrement = true;
			dtCountry.Columns.Add( "CountryName", typeof( string ) );

			DataRow dtCountryRow = dtCountry.NewRow();
			dtCountryRow [ "CountryID" ] = 1;
			dtCountryRow [ "CountryName" ] = "Country1";
			dtCountry.Rows.Add( dtCountryRow );

			dtCountryRow = dtCountry.NewRow();
			dtCountryRow [ "CountryName" ] = "Country2";
			dtCountry.Rows.Add( dtCountryRow );

			dtCountryRow = dtCountry.NewRow();
			dtCountryRow [ "CountryName" ] = "Country3";
			dtCountry.Rows.Add( dtCountryRow );

			return dtCountry;
		}
		
		public DataTable CreateStateData()
		{
			DataTable dtState = new DataTable();

			dtState.Columns.Add( "StateID", typeof( long ) );
			dtState.Columns [ "StateID" ].AutoIncrement = true;
			dtState.Columns.Add( "StateName", typeof( string ) );

			DataRow dtStateRow = dtState.NewRow();
			dtStateRow [ "StateID" ] = 1;
			dtStateRow [ "StateName" ] = "State1";
			dtState.Rows.Add( dtStateRow );

			dtStateRow = dtState.NewRow();
			dtStateRow [ "StateName" ] = "State2";
			dtState.Rows.Add( dtStateRow );

			dtStateRow = dtState.NewRow();
			dtStateRow [ "StateName" ] = "State3";
			dtState.Rows.Add( dtStateRow );

			return dtState;
		}

	}
}
